summaryrefslogtreecommitdiff
path: root/t/t4016-diff-quote.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2008-08-26 17:08:19 -0700
committerJunio C Hamano <gitster@pobox.com>2008-08-26 17:08:19 -0700
commit0f7a8f2dba5aeb8ce8ab4a710a1d1310705f7f08 (patch)
tree9e417c713178925f99c36939cace0a726cf9d018 /t/t4016-diff-quote.sh
parent68daa64df2363f848d818dda9fc414511d9330da (diff)
parentd0b92a3f6e4d98a38a86cbd86f0e39eea9005958 (diff)
downloadgit-0f7a8f2dba5aeb8ce8ab4a710a1d1310705f7f08.tar.gz
Merge branch 'maint'
* maint: index-pack: setup git repository Suppress some bash redirection error messages Fix a warning (on cygwin) to allow -Werror Fix "git log -i --grep"
Diffstat (limited to 't/t4016-diff-quote.sh')
-rwxr-xr-xt/t4016-diff-quote.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/t/t4016-diff-quote.sh b/t/t4016-diff-quote.sh
index f07035ab7e..55eb5f83f1 100755
--- a/t/t4016-diff-quote.sh
+++ b/t/t4016-diff-quote.sh
@@ -13,8 +13,8 @@ P1='pathname with HT'
P2='pathname with SP'
P3='pathname
with LF'
-: >"$P1" 2>&1 && test -f "$P1" && rm -f "$P1" || {
- echo >&2 'Filesystem does not support tabs in names'
+: 2>/dev/null >"$P1" && test -f "$P1" && rm -f "$P1" || {
+ say 'Your filesystem does not allow tabs in filenames, test skipped.'
test_done
}